[arch-commits] Commit in gzip/repos (6 files)
Allan McRae
allan at archlinux.org
Thu Sep 8 00:49:17 UTC 2011
Date: Wednesday, September 7, 2011 @ 20:49:17
Author: allan
Revision: 137500
archrelease: copy trunk to testing-i686, testing-x86_64
Added:
gzip/repos/testing-i686/
gzip/repos/testing-i686/PKGBUILD
(from rev 137499, gzip/trunk/PKGBUILD)
gzip/repos/testing-i686/gzip.install
(from rev 137499, gzip/trunk/gzip.install)
gzip/repos/testing-x86_64/
gzip/repos/testing-x86_64/PKGBUILD
(from rev 137499, gzip/trunk/PKGBUILD)
gzip/repos/testing-x86_64/gzip.install
(from rev 137499, gzip/trunk/gzip.install)
-----------------------------+
testing-i686/PKGBUILD | 43 ++++++++++++++++++++++++++++++++++++++++++
testing-i686/gzip.install | 20 +++++++++++++++++++
testing-x86_64/PKGBUILD | 43 ++++++++++++++++++++++++++++++++++++++++++
testing-x86_64/gzip.install | 20 +++++++++++++++++++
4 files changed, 126 insertions(+)
Copied: gzip/repos/testing-i686/PKGBUILD (from rev 137499, gzip/trunk/PKGBUILD)
===================================================================
--- testing-i686/PKGBUILD (rev 0)
+++ testing-i686/PKGBUILD 2011-09-08 00:49:17 UTC (rev 137500)
@@ -0,0 +1,43 @@
+# $Id$
+# Maintainer: Allan McRae <allan at archlinux.org>
+# Contributor: judd <jvinet at zeroflux.org>
+
+pkgname=gzip
+pkgver=1.4
+pkgrel=3
+pkgdesc="GNU compression utility"
+arch=('i686' 'x86_64')
+url="http://www.gnu.org/software/gzip/"
+license=('GPL3')
+groups=('base')
+depends=('glibc' 'bash')
+makedepends=('patch')
+install=gzip.install
+source=(ftp://ftp.gnu.org/pub/gnu/gzip/gzip-$pkgver.tar.gz)
+md5sums=('e381b8506210c794278f5527cba0e765')
+
+build() {
+ cd "${srcdir}/${pkgname}-${pkgver}"
+
+ # By default Gzip uses assembly code. While this may preform better,
+ # it is not position independent. The DEFS environment variable is
+ # set to use only C code.
+ export DEFS="NO_ASM"
+ ./configure --prefix=/usr
+ make
+}
+
+check() {
+ cd "${srcdir}/${pkgname}-${pkgver}"
+ make check
+}
+
+package() {
+ cd "${srcdir}/${pkgname}-${pkgver}"
+
+ make prefix=${pkgdir}/usr install
+
+ install -dm755 ${pkgdir}/bin
+ mv ${pkgdir}/usr/bin/{gunzip,gzip,uncompress,zcat} ${pkgdir}/bin/
+ cd $pkgdir/bin
+}
Copied: gzip/repos/testing-i686/gzip.install (from rev 137499, gzip/trunk/gzip.install)
===================================================================
--- testing-i686/gzip.install (rev 0)
+++ testing-i686/gzip.install 2011-09-08 00:49:17 UTC (rev 137500)
@@ -0,0 +1,20 @@
+infodir=usr/share/info
+filelist=(gzip.info)
+
+post_install() {
+ [ -x usr/bin/install-info ] || return 0
+ for file in ${filelist[@]}; do
+ usr/bin/install-info $infodir/$file.gz $infodir/dir 2> /dev/null
+ done
+}
+
+post_upgrade() {
+ post_install $1
+}
+
+pre_remove() {
+ [ -x usr/bin/install-info ] || return 0
+ for file in ${filelist[@]}; do
+ usr/bin/install-info --delete $infodir/$file.gz $infodir/dir 2> /dev/null
+ done
+}
Copied: gzip/repos/testing-x86_64/PKGBUILD (from rev 137499, gzip/trunk/PKGBUILD)
===================================================================
--- testing-x86_64/PKGBUILD (rev 0)
+++ testing-x86_64/PKGBUILD 2011-09-08 00:49:17 UTC (rev 137500)
@@ -0,0 +1,43 @@
+# $Id$
+# Maintainer: Allan McRae <allan at archlinux.org>
+# Contributor: judd <jvinet at zeroflux.org>
+
+pkgname=gzip
+pkgver=1.4
+pkgrel=3
+pkgdesc="GNU compression utility"
+arch=('i686' 'x86_64')
+url="http://www.gnu.org/software/gzip/"
+license=('GPL3')
+groups=('base')
+depends=('glibc' 'bash')
+makedepends=('patch')
+install=gzip.install
+source=(ftp://ftp.gnu.org/pub/gnu/gzip/gzip-$pkgver.tar.gz)
+md5sums=('e381b8506210c794278f5527cba0e765')
+
+build() {
+ cd "${srcdir}/${pkgname}-${pkgver}"
+
+ # By default Gzip uses assembly code. While this may preform better,
+ # it is not position independent. The DEFS environment variable is
+ # set to use only C code.
+ export DEFS="NO_ASM"
+ ./configure --prefix=/usr
+ make
+}
+
+check() {
+ cd "${srcdir}/${pkgname}-${pkgver}"
+ make check
+}
+
+package() {
+ cd "${srcdir}/${pkgname}-${pkgver}"
+
+ make prefix=${pkgdir}/usr install
+
+ install -dm755 ${pkgdir}/bin
+ mv ${pkgdir}/usr/bin/{gunzip,gzip,uncompress,zcat} ${pkgdir}/bin/
+ cd $pkgdir/bin
+}
Copied: gzip/repos/testing-x86_64/gzip.install (from rev 137499, gzip/trunk/gzip.install)
===================================================================
--- testing-x86_64/gzip.install (rev 0)
+++ testing-x86_64/gzip.install 2011-09-08 00:49:17 UTC (rev 137500)
@@ -0,0 +1,20 @@
+infodir=usr/share/info
+filelist=(gzip.info)
+
+post_install() {
+ [ -x usr/bin/install-info ] || return 0
+ for file in ${filelist[@]}; do
+ usr/bin/install-info $infodir/$file.gz $infodir/dir 2> /dev/null
+ done
+}
+
+post_upgrade() {
+ post_install $1
+}
+
+pre_remove() {
+ [ -x usr/bin/install-info ] || return 0
+ for file in ${filelist[@]}; do
+ usr/bin/install-info --delete $infodir/$file.gz $infodir/dir 2> /dev/null
+ done
+}
More information about the arch-commits
mailing list